<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8" />
		<style type="text/css">
			svg.railroad-diagram {
				background-color: hsl(30, 20%, 95%);
			}
			svg.railroad-diagram path {
				stroke-width: 3;
				stroke: black;
				fill: rgba(0, 0, 0, 0);
			}
			svg.railroad-diagram text {
				font: bold 14px monospace;
				text-anchor: middle;
			}
			svg.railroad-diagram text.label {
				text-anchor: start;
			}
			svg.railroad-diagram text.comment {
				font: italic 12px monospace;
			}
			svg.railroad-diagram rect {
				stroke-width: 3;
				stroke: black;
				fill: hsl(120, 100%, 90%);
			}
		</style>
	</head>
	<body>
		<h1><code>File</code></h1>
		<div>
			<svg class="railroad-diagram" width="233" height="62" viewBox="0 0 233 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M192 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M172 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M162 31h0"></path>
								<rect x="70" y="20" width="92" height="22"></rect>
								<text x="116" y="35">FileLines</text>
							</g>
							<path d="M162 31h10"></path>
						</g>
						<path d="M172 31h20"></path>
					</g>
					<path d="M 192 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>FileLines</code></h1>
		<div>
			<svg class="railroad-diagram" width="393" height="92" viewBox="0 0 393 92">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M352 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h84"></path>
							<path d="M248 31h84"></path>
							<path d="M144 31h10"></path>
							<g>
								<path d="M154 31h0"></path>
								<path d="M238 31h0"></path>
								<rect x="154" y="20" width="84" height="22"></rect>
								<text x="196" y="35">FileLine</text>
							</g>
							<path d="M238 31h10"></path>
						</g>
						<path d="M332 31h20"></path>
						<path d="M40 31a10 10 0 0 1 10 10v10a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 61h0"></path>
							<path d="M332 61h0"></path>
							<path d="M60 61h10"></path>
							<g>
								<path d="M70 61h0"></path>
								<path d="M162 61h0"></path>
								<rect x="70" y="50" width="92" height="22"></rect>
								<text x="116" y="65">FileLines</text>
							</g>
							<path d="M162 61h10"></path>
							<path d="M172 61h10"></path>
							<g>
								<path d="M182 61h0"></path>
								<path d="M218 61h0"></path>
								<rect x="182" y="50" width="36" height="22" rx="10" ry="10"></rect>
								<text x="200" y="65">nl</text>
							</g>
							<path d="M218 61h10"></path>
							<path d="M228 61h10"></path>
							<g>
								<path d="M238 61h0"></path>
								<path d="M322 61h0"></path>
								<rect x="238" y="50" width="84" height="22"></rect>
								<text x="280" y="65">FileLine</text>
							</g>
							<path d="M322 61h10"></path>
						</g>
						<path d="M332 61a10 10 0 0 0 10 -10v-10a10 10 0 0 1 10 -10"></path>
					</g>
					<path d="M 352 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>FileLine</code></h1>
		<div>
			<svg class="railroad-diagram" width="353" height="122" viewBox="0 0 353 122">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M312 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M292 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M98 31h0"></path>
								<rect x="70" y="20" width="28" height="22"></rect>
								<text x="84" y="35">&#95;</text>
							</g>
							<path d="M98 31h10"></path>
							<path d="M108 31h10"></path>
							<g>
								<path d="M118 31h0"></path>
								<path d="M234 31h0"></path>
								<rect x="118" y="20" width="116" height="22"></rect>
								<text x="176" y="35">TopLevelStmt</text>
							</g>
							<path d="M234 31h10"></path>
							<path d="M244 31h10"></path>
							<g>
								<path d="M254 31h0"></path>
								<path d="M282 31h0"></path>
								<rect x="254" y="20" width="28" height="22"></rect>
								<text x="268" y="35">&#95;</text>
							</g>
							<path d="M282 31h10"></path>
						</g>
						<path d="M292 31h20"></path>
						<path d="M40 31a10 10 0 0 1 10 10v10a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 61h44"></path>
							<path d="M248 61h44"></path>
							<path d="M104 61h10"></path>
							<g>
								<path d="M114 61h0"></path>
								<path d="M142 61h0"></path>
								<rect x="114" y="50" width="28" height="22"></rect>
								<text x="128" y="65">&#95;</text>
							</g>
							<path d="M142 61h10"></path>
							<path d="M152 61h10"></path>
							<g>
								<path d="M162 61h0"></path>
								<path d="M238 61h0"></path>
								<rect x="162" y="50" width="76" height="22"></rect>
								<text x="200" y="65">Comment</text>
							</g>
							<path d="M238 61h10"></path>
						</g>
						<path d="M292 61a10 10 0 0 0 10 -10v-10a10 10 0 0 1 10 -10"></path>
						<path d="M40 31a10 10 0 0 1 10 10v40a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 91h56"></path>
							<path d="M236 91h56"></path>
							<path d="M116 91h10"></path>
							<g>
								<path d="M126 91h0"></path>
								<path d="M226 91h0"></path>
								<rect x="126" y="80" width="100" height="22"></rect>
								<text x="176" y="95">blank&#95;line</text>
							</g>
							<path d="M226 91h10"></path>
						</g>
						<path d="M292 91a10 10 0 0 0 10 -10v-40a10 10 0 0 1 10 -10"></path>
					</g>
					<path d="M 312 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>TopLevelStmt</code></h1>
		<div>
			<svg class="railroad-diagram" width="289" height="92" viewBox="0 0 289 92">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M248 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M228 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M218 31h0"></path>
								<rect x="70" y="20" width="148" height="22"></rect>
								<text x="144" y="35">IniSectionHeader</text>
							</g>
							<path d="M218 31h10"></path>
						</g>
						<path d="M228 31h20"></path>
						<path d="M40 31a10 10 0 0 1 10 10v10a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 61h36"></path>
							<path d="M192 61h36"></path>
							<path d="M96 61h10"></path>
							<g>
								<path d="M106 61h0"></path>
								<path d="M182 61h0"></path>
								<rect x="106" y="50" width="76" height="22"></rect>
								<text x="144" y="65">Setting</text>
							</g>
							<path d="M182 61h10"></path>
						</g>
						<path d="M228 61a10 10 0 0 0 10 -10v-10a10 10 0 0 1 10 -10"></path>
					</g>
					<path d="M 248 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>Setting</code></h1>
		<div>
			<svg class="railroad-diagram" width="361" height="92" viewBox="0 0 361 92">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M320 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M300 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M146 31h0"></path>
								<rect x="70" y="20" width="76" height="22"></rect>
								<text x="108" y="35">Segment</text>
							</g>
							<path d="M146 31h10"></path>
							<path d="M156 31h10"></path>
							<g>
								<path d="M166 31h0"></path>
								<path d="M210 31h0"></path>
								<rect x="166" y="20" width="44" height="22" rx="10" ry="10"></rect>
								<text x="188" y="35">"="</text>
							</g>
							<path d="M210 31h10"></path>
							<path d="M220 31h10"></path>
							<g>
								<path d="M230 31h0"></path>
								<path d="M290 31h0"></path>
								<rect x="230" y="20" width="60" height="22"></rect>
								<text x="260" y="35">Value</text>
							</g>
							<path d="M290 31h10"></path>
						</g>
						<path d="M300 31h20"></path>
						<path d="M40 31a10 10 0 0 1 10 10v10a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 61h40"></path>
							<path d="M260 61h40"></path>
							<path d="M100 61h10"></path>
							<g>
								<path d="M110 61h0"></path>
								<path d="M186 61h0"></path>
								<rect x="110" y="50" width="76" height="22"></rect>
								<text x="148" y="65">Segment</text>
							</g>
							<path d="M186 61h10"></path>
							<path d="M196 61h10"></path>
							<g>
								<path d="M206 61h0"></path>
								<path d="M250 61h0"></path>
								<rect x="206" y="50" width="44" height="22" rx="10" ry="10"></rect>
								<text x="228" y="65">"="</text>
							</g>
							<path d="M250 61h10"></path>
						</g>
						<path d="M300 61a10 10 0 0 0 10 -10v-10a10 10 0 0 1 10 -10"></path>
					</g>
					<path d="M 320 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>Segment</code></h1>
		<div>
			<svg class="railroad-diagram" width="217" height="92" viewBox="0 0 217 92">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M176 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M156 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M146 31h0"></path>
								<rect x="70" y="20" width="76" height="22" rx="10" ry="10"></rect>
								<text x="108" y="35">segment</text>
							</g>
							<path d="M146 31h10"></path>
						</g>
						<path d="M156 31h20"></path>
						<path d="M40 31a10 10 0 0 1 10 10v10a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 61h0"></path>
							<path d="M156 61h0"></path>
							<path d="M60 61h10"></path>
							<g>
								<path d="M70 61h0"></path>
								<path d="M146 61h0"></path>
								<rect x="70" y="50" width="76" height="22"></rect>
								<text x="108" y="65">Integer</text>
							</g>
							<path d="M146 61h10"></path>
						</g>
						<path d="M156 61a10 10 0 0 0 10 -10v-10a10 10 0 0 1 10 -10"></path>
					</g>
					<path d="M 176 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>IniSectionHeader</code></h1>
		<div>
			<svg class="railroad-diagram" width="305" height="62" viewBox="0 0 305 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M264 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M244 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M234 31h0"></path>
								<rect x="70" y="20" width="164" height="22" rx="10" ry="10"></rect>
								<text x="152" y="35">ini&#95;section&#95;header</text>
							</g>
							<path d="M234 31h10"></path>
						</g>
						<path d="M244 31h20"></path>
					</g>
					<path d="M 264 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>Value</code></h1>
		<div>
			<svg class="railroad-diagram" width="201" height="62" viewBox="0 0 201 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M160 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M140 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M130 31h0"></path>
								<rect x="70" y="20" width="60" height="22" rx="10" ry="10"></rect>
								<text x="100" y="35">value</text>
							</g>
							<path d="M130 31h10"></path>
						</g>
						<path d="M140 31h20"></path>
					</g>
					<path d="M 160 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>Comment</code></h1>
		<div>
			<svg class="railroad-diagram" width="217" height="62" viewBox="0 0 217 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M176 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M156 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M146 31h0"></path>
								<rect x="70" y="20" width="76" height="22" rx="10" ry="10"></rect>
								<text x="108" y="35">comment</text>
							</g>
							<path d="M146 31h10"></path>
						</g>
						<path d="M156 31h20"></path>
					</g>
					<path d="M 176 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>Integer</code></h1>
		<div>
			<svg class="railroad-diagram" width="217" height="62" viewBox="0 0 217 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M176 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M156 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M146 31h0"></path>
								<rect x="70" y="20" width="76" height="22" rx="10" ry="10"></rect>
								<text x="108" y="35">integer</text>
							</g>
							<path d="M146 31h10"></path>
						</g>
						<path d="M156 31h20"></path>
					</g>
					<path d="M 176 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>blank_line</code></h1>
		<div>
			<svg class="railroad-diagram" width="169" height="62" viewBox="0 0 169 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M128 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M108 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M98 31h0"></path>
								<rect x="70" y="20" width="28" height="22"></rect>
								<text x="84" y="35">&#95;</text>
							</g>
							<path d="M98 31h10"></path>
						</g>
						<path d="M108 31h20"></path>
					</g>
					<path d="M 128 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>next_line</code></h1>
		<div>
			<svg class="railroad-diagram" width="273" height="62" viewBox="0 0 273 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M232 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M212 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M98 31h0"></path>
								<rect x="70" y="20" width="28" height="22"></rect>
								<text x="84" y="35">&#95;</text>
							</g>
							<path d="M98 31h10"></path>
							<path d="M108 31h10"></path>
							<g>
								<path d="M118 31h0"></path>
								<path d="M154 31h0"></path>
								<rect x="118" y="20" width="36" height="22" rx="10" ry="10"></rect>
								<text x="136" y="35">nl</text>
							</g>
							<path d="M154 31h10"></path>
							<path d="M164 31h10"></path>
							<g>
								<path d="M174 31h0"></path>
								<path d="M202 31h0"></path>
								<rect x="174" y="20" width="28" height="22"></rect>
								<text x="188" y="35">&#95;</text>
							</g>
							<path d="M202 31h10"></path>
						</g>
						<path d="M212 31h20"></path>
					</g>
					<path d="M 232 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>next_present_line</code></h1>
		<div>
			<svg class="railroad-diagram" width="281" height="62" viewBox="0 0 281 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M240 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M220 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M98 31h0"></path>
								<rect x="70" y="20" width="28" height="22"></rect>
								<text x="84" y="35">&#95;</text>
							</g>
							<path d="M98 31h10"></path>
							<path d="M108 31h10"></path>
							<g>
								<path d="M118 31h0"></path>
								<path d="M154 31h0"></path>
								<rect x="118" y="20" width="36" height="22" rx="10" ry="10"></rect>
								<text x="136" y="35">nl</text>
							</g>
							<path d="M154 31h10"></path>
							<path d="M164 31h10"></path>
							<g>
								<path d="M174 31h0"></path>
								<path d="M210 31h0"></path>
								<rect x="174" y="20" width="36" height="22"></rect>
								<text x="192" y="35">&#95;n</text>
							</g>
							<path d="M210 31h10"></path>
						</g>
						<path d="M220 31h20"></path>
					</g>
					<path d="M 240 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>multi_line_ws</code></h1>
		<div>
			<svg class="railroad-diagram" width="177" height="92" viewBox="0 0 177 92">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M136 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M116 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M106 31h0"></path>
								<rect x="70" y="20" width="36" height="22" rx="10" ry="10"></rect>
								<text x="88" y="35">ws</text>
							</g>
							<path d="M106 31h10"></path>
						</g>
						<path d="M116 31h20"></path>
						<path d="M40 31a10 10 0 0 1 10 10v10a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 61h0"></path>
							<path d="M116 61h0"></path>
							<path d="M60 61h10"></path>
							<g>
								<path d="M70 61h0"></path>
								<path d="M106 61h0"></path>
								<rect x="70" y="50" width="36" height="22" rx="10" ry="10"></rect>
								<text x="88" y="65">nl</text>
							</g>
							<path d="M106 61h10"></path>
						</g>
						<path d="M116 61a10 10 0 0 0 10 -10v-10a10 10 0 0 1 10 -10"></path>
					</g>
					<path d="M 136 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>_</code></h1>
		<div>
			<svg class="railroad-diagram" width="217" height="81" viewBox="0 0 217 81">
				<g transform="translate(.5 .5)">
					<path d="M 20 31 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 41h0"></path>
						<path d="M176 41h0"></path>
						<path d="M40 41h20"></path>
						<g>
							<path d="M60 41h0"></path>
							<path d="M156 41h0"></path>
							<g>
								<path d="M60 41h0"></path>
								<path d="M156 41h0"></path>
								<path d="M60 41a10 10 0 0 0 10 -10v0a10 10 0 0 1 10 -10"></path>
								<g>
									<path d="M80 21h56"></path>
								</g>
								<path d="M136 21a10 10 0 0 1 10 10v0a10 10 0 0 0 10 10"></path>
								<path d="M60 41h20"></path>
								<g>
									<path d="M80 41h0"></path>
									<path d="M136 41h0"></path>
									<path d="M80 41h10"></path>
									<g>
										<path d="M90 41h0"></path>
										<path d="M126 41h0"></path>
										<rect x="90" y="30" width="36" height="22" rx="10" ry="10"></rect>
										<text x="108" y="45">ws</text>
									</g>
									<path d="M126 41h10"></path>
									<path d="M90 41a10 10 0 0 0 -10 10v0a10 10 0 0 0 10 10"></path>
									<g>
										<path d="M90 61h36"></path>
									</g>
									<path d="M126 61a10 10 0 0 0 10 -10v0a10 10 0 0 0 -10 -10"></path>
								</g>
								<path d="M136 41h20"></path>
							</g>
						</g>
						<path d="M156 41h20"></path>
					</g>
					<path d="M 176 41 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>__</code></h1>
		<div>
			<svg class="railroad-diagram" width="197" height="71" viewBox="0 0 197 71">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M156 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M136 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M126 31h0"></path>
								<path d="M70 31h10"></path>
								<g>
									<path d="M80 31h0"></path>
									<path d="M116 31h0"></path>
									<rect x="80" y="20" width="36" height="22" rx="10" ry="10"></rect>
									<text x="98" y="35">ws</text>
								</g>
								<path d="M116 31h10"></path>
								<path d="M80 31a10 10 0 0 0 -10 10v0a10 10 0 0 0 10 10"></path>
								<g>
									<path d="M80 51h36"></path>
								</g>
								<path d="M116 51a10 10 0 0 0 10 -10v0a10 10 0 0 0 -10 -10"></path>
							</g>
							<path d="M126 31h10"></path>
						</g>
						<path d="M136 31h20"></path>
					</g>
					<path d="M 156 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>_n</code></h1>
		<div>
			<svg class="railroad-diagram" width="305" height="81" viewBox="0 0 305 81">
				<g transform="translate(.5 .5)">
					<path d="M 20 31 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 41h0"></path>
						<path d="M264 41h0"></path>
						<path d="M40 41h20"></path>
						<g>
							<path d="M60 41h0"></path>
							<path d="M244 41h0"></path>
							<g>
								<path d="M60 41h0"></path>
								<path d="M244 41h0"></path>
								<path d="M60 41a10 10 0 0 0 10 -10v0a10 10 0 0 1 10 -10"></path>
								<g>
									<path d="M80 21h144"></path>
								</g>
								<path d="M224 21a10 10 0 0 1 10 10v0a10 10 0 0 0 10 10"></path>
								<path d="M60 41h20"></path>
								<g>
									<path d="M80 41h0"></path>
									<path d="M224 41h0"></path>
									<path d="M80 41h10"></path>
									<g>
										<path d="M90 41h0"></path>
										<path d="M214 41h0"></path>
										<rect x="90" y="30" width="124" height="22"></rect>
										<text x="152" y="45">multi&#95;line&#95;ws</text>
									</g>
									<path d="M214 41h10"></path>
									<path d="M90 41a10 10 0 0 0 -10 10v0a10 10 0 0 0 10 10"></path>
									<g>
										<path d="M90 61h124"></path>
									</g>
									<path d="M214 61a10 10 0 0 0 10 -10v0a10 10 0 0 0 -10 -10"></path>
								</g>
								<path d="M224 41h20"></path>
							</g>
						</g>
						<path d="M244 41h20"></path>
					</g>
					<path d="M 264 41 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>__n</code></h1>
		<div>
			<svg class="railroad-diagram" width="285" height="71" viewBox="0 0 285 71">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M244 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M224 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M214 31h0"></path>
								<path d="M70 31h10"></path>
								<g>
									<path d="M80 31h0"></path>
									<path d="M204 31h0"></path>
									<rect x="80" y="20" width="124" height="22"></rect>
									<text x="142" y="35">multi&#95;line&#95;ws</text>
								</g>
								<path d="M204 31h10"></path>
								<path d="M80 31a10 10 0 0 0 -10 10v0a10 10 0 0 0 10 10"></path>
								<g>
									<path d="M80 51h124"></path>
								</g>
								<path d="M204 51a10 10 0 0 0 10 -10v0a10 10 0 0 0 -10 -10"></path>
							</g>
							<path d="M214 31h10"></path>
						</g>
						<path d="M224 31h20"></path>
					</g>
					<path d="M 244 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
	</body>
</html>
